SPHINX_PITCH(1)

NAME
sphinx_pitch - Extract pitch from audio files

SYNOPSIS
sphinx_pitch [ options ]...

DESCRIPTION

This program reads audio files and analyzes them for pitch and voicing.

-c  file for batch processing

-di directory, input file names are relative to this, if defined

-do directory, output files are relative to this

-ei extension to be applied to all input files

-eo extension to be applied to all output files

-flen
    Number of seconds in each analysis frame (needs to be greater than twice the longest period you wish to detect - to detect down to 80Hz you need a frame length of 2.0/80 = 0.025).

-fshift
    Frame shift: number of seconds between each analysis frame.

-i  audio input file

-input_endian
    of audio data (will be determined automatically if not given)

-mswav
    Defines input format as Microsoft Wav (RIFF)

-nist
    Defines input format as NIST sphere

-nskip
    If a control file was specified, the number of utterances to skip at the head of the file

-o  text output file (standard output will be used if not given)

-raw
    Defines input format as raw binary data

-runlen
    If a control file was specified, the number of utterances to process (see -nskip too)

-samprate
    Sampling rate of audio data (will be determined automatically if 0)

-search_range
    Fraction of the best local estimate to use as a search range for smoothing.

-smooth_window
    Number of frames on either side of the current frame to use for smoothing.

-voice_thresh
    Threshold of normalized difference under which to search for the fundamental period.

AUTHOR
David Huggins-Daines <dhdaines@gmail.com>

COPYRIGHT
Copyright © 2007-2008 Carnegie Mellon University. See the file COPYING included with this package for more information.